| ghc-6.12.3: The GHC API | Contents | Index

SPARC.CodeGen.Gen32

Description
Evaluation of 32 bit values.
Synopsis

getSomeReg :: CmmExpr -> NatM (Reg, InstrBlock)
getRegister :: CmmExpr -> NatM Register

Documentation
getSomeReg :: CmmExpr -> NatM (Reg, InstrBlock)
The dual to getAnyReg: compute an expression into a register, but we don't mind which one it is.
getRegister :: CmmExpr -> NatM Register
Make code to evaluate a 32 bit expression.
Produced by Haddock version 2.6.1